Subject: Re: [PATCH v2] diff: Only count lines in show_shortstats

From: Alexander Strasser <[email-masked]>
Date: Fri, 15 Jun 2012 23:19:41 +0200

Hi,

Junio C Hamano wrote:
> Alexander Strasser <[email-masked]> writes:
> 
> > Do not mix byte and line counts. Binary files have byte counts;
> > skip them when accumulating line insertions/deletions.
> >
> > The regression was introduced in e18872b.
> >
> > Signed-off-by: Alexander Strasser <[email-masked]>
> > ---
> 
> Administrivia.
> 
> Please do not use Mail-Followup-To: header to deflect direct

  I did not know about that mail header. I am not sure about the
exact ramifications but I hope I told my MUA to stop inserting
that header behind my back.

[...]
> > +test_expect_success 'diff --shortstat output for binary file change' '
> > +	echo " 4 files changed, 2 insertions(+), 2 deletions(-)" >expected &&
> > +	git diff --shortstat >current &&
> > +	test_i18ncmp expected current
> > +'
> > +
> 
> It would also have been interesting if we can see the result for a
> diff that involves _only_ binary files, no?

  Seems like an interesting test to me. I will add it and send as v3
in a moment.

[...]

  Alexander